org.keycloak.representations.idm.authorization

## Enum PolicyEnforcementMode

- java.lang.Object
- - java.lang.Enum<PolicyEnforcementMode>
  - - org.keycloak.representations.idm.authorization.PolicyEnforcementMode

- All Implemented Interfaces:
    Serializable, Comparable<PolicyEnforcementMode>

      public enum PolicyEnforcementMode
      extends Enum<PolicyEnforcementMode>

  The policy enforcement mode dictates how authorization requests are handled by the server.
  Author:
    Pedro Igor

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED` Completely disables the evaluation of policies and allow access to any resource.
    `ENFORCING` Requests are denied by default even when there is no policy associated with a given resource.
    `PERMISSIVE` Requests are allowed even when there is no policy associated with a given resource.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PolicyEnforcementMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PolicyEnforcementMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENFORCING

          public static final PolicyEnforcementMode ENFORCING

      Requests are denied by default even when there is no policy associated with a given resource.

    - #### PERMISSIVE

          public static final PolicyEnforcementMode PERMISSIVE

      Requests are allowed even when there is no policy associated with a given resource.

    - #### DISABLED

          public static final PolicyEnforcementMode DISABLED

      Completely disables the evaluation of policies and allow access to any resource.

  - ### Method Detail

    - #### values

          public static PolicyEnforcementMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PolicyEnforcementMode c : PolicyEnforcementMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PolicyEnforcementMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.